Registry Editor

System configuration information is stored centrally in a hierarchical database called the registry. You can use Registry Editor to add and edit registry keys and values, restore the registry from a backup or to default values, and to import or export keys for reference or backup.

You can also print the registry and control which accounts have permission to edit the registry.

For more information about the registry, including registry concepts and securing the registry, go to the Windows Server TechCenter (http://go.microsoft.com/fwlink/?LinkID=53495).

Configure the Registry

Maintain Registry Security

Print All or Part of the Registry

Registry Resources


Configure the Registry

Change Keys and Values

Connect to the Registry

Restore the Registry

Import or Export Keys

Load or Unload Registry Hives


Change Keys and Values

  • Find a String, Value, or Key

  • Add a Registry Key

  • Add a Value to a Registry Key Entry

  • Change a Value

  • Delete a Registry Key or Value

  • Rename a Registry Key or Value

  • Copy a Registry Key Name


Find a String, Value, or Key

To find or change any entry in the registry, use Registry Editor. Once you have opened Registry Editor, you can proceed to find a string, value, or key in the registry.

Caution

Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.

Note

If you make a mistake that results in your computer not starting properly, you can restore the registry. For instructions, see Restore the Registry.

To find a string, value, or key

  1. In Registry Editor, click Find on the Edit menu.

  2. In Find what, type the string, value, or key you want to find.

  3. Select the Keys, Values, Data, or Match whole string only check boxes to match the type of search you want, and then click Find Next.

    Note

    To repeat the search, press F3.


Add a Registry Key

To find or change any entry in the registry, use Registry Editor. Once you have opened Registry Editor, you can proceed to add a registry key.

Caution

Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.

Note

If you make a mistake that results in your computer not starting properly, you can restore the registry. For instructions, see Restore the Registry.

To add a registry key

  1. In Registry Editor, click the registry key under which you would like to add a new key.

  2. Click New on the Edit menu and then click Key.

  3. Type a name for the new key and then press ENTER.


Add a Value to a Registry Key Entry

To find or change any entry in the registry, use Registry Editor. Once you have opened Registry Editor, you can proceed to add a value to a registry key entry.

Caution

Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.

Note

If you make a mistake that results in your computer not starting properly, you can restore the registry. For instructions, see Restore the Registry.

To add a value to a registry key entry

  1. In Registry Editor, click the key or entry where you want to add the new value.

  2. On the Edit menu, point to New, and then click the type of value you want to add: String Value, Binary Value, DWORD (32-bit) Value, QWORD (64-bit) Value, Multi-String Value, or Expandable String Value.

  3. Type a name for the new value and then press ENTER.

    Note

    When you add a registry value to a registry key, the new registry value name and data type are saved with default data. For instructions on how to modify the default value, see Change a Value.


Change a Value

To find or change any entry in the registry, use Registry Editor. Once you have opened Registry Editor, you can proceed to change a registry value.

Caution

Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.

Note

If you make a mistake that results in your computer not starting properly, you can restore the registry. For instructions, see Restore the Registry.

To change a value

  1. In Registry Editor, click the entry you want to change.

  2. On the Edit menu, click Modify.

  3. In Value data, type the data for the value and then click OK.

    Note

    To make changes to a registry key, you must have the appropriate permissions. For more information about permissions and security in this version of Windows, search Help and Support for "Security best practices."


Delete a Registry Key or Value

To find or change any entry in the registry, use Registry Editor. Once you have opened Registry Editor, you can proceed delete a registry key or value.

Caution

Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.

Note

If you make a mistake that results in your computer not starting properly, you can restore the registry. For instructions, see Restore the Registry.

To delete a registry key or value

  1. In Registry Editor, click the key or entry you want to delete.

  2. On the Edit menu, click Delete.

    Note

    You can delete keys and values from your registry. However, you cannot delete a predefined key (such as HKEY_CURRENT_USER) or change the name of a predefined key.


Rename a Registry Key or Value

To find or change any entry in the registry, use Registry Editor. Once you have opened Registry Editor, you can proceed to rename a registry key or value.

Caution

Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.

Note

If you make a mistake that results in your computer not starting properly, you can restore the registry. For instructions, see Restore the Registry.

To rename a registry key or value

  1. In Registry Editor, click the key or entry you want to rename.

  2. Click Rename on the Edit menu, type the new name, and then press ENTER.

    Note

    You cannot rename the root keys or the default value of a key.


Copy a Registry Key Name

To find or change any entry in the registry, use Registry Editor. Once you have opened Registry Editor, you can proceed to copy a registry key name.

Caution

Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.

Note

If you make a mistake that results in your computer not starting properly, you can restore the registry. For instructions, see Restore the Registry.

Copy a registry key name

  1. In Registry Editor, click the key you want to copy and then click Copy Key Name on the Edit menu.

  2. Paste the registry key name into another application or document.


Connect to the Registry

To manage registries remotely, use Registry Editor. Once you have opened Registry Editor, you can proceed with any of the actions below.

Caution

Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.

Note

If you make a mistake that results in your computer not starting properly, you can restore the registry. For instructions, see Restore the Registry.

Connecting to a registry over a network

To connect to a registry over a network

  1. In Registry Editor, on the File menu, click Connect Network Registry.

  2. In the Select Computer dialog box, click Object Types, select the specific object you are searching for (usually Computers), and then click OK.

  3. Click Locations, specify the location you want to search, and then click OK.

  4. Type the name of the computer to whose registry you want to connect in Enter the object name to select and then click Check Names.

  5. When the computer name resolves, click OK.

Additional considerations

  • To connect to a remote registry, you do not need to be logged on as an administrator or a member of the Administrators group on your computer, but you do need administrator privileges on the remote computer.

  • To edit a remote registry, you must to be logged on as an administrator or a member of the Administrators group on your local computer.

  • Both computers must be running the Remote Registry service. If the Remote Registry service is not started on either computer, you must be logged on as an administrator or a member of the Administrators group on the computer in order to start the service.

  • Network policy settings may prevent you from completing this procedure.

Disconnecting from a registry over a network

To disconnect from a network registry

  1. In Registry Editor, on the File menu, click Disconnect Network Registry.

  2. In the Disconnect Network Registry dialog box, click the name of the computer whose registry you want to disconnect and then click OK.


Restore the Registry

If certain keys or values in the registry key HKLM\System\CurrentControlSet are deleted or given incorrect values, the registry may need to be restored before you can continue using the computer.

To restore the registry

  1. Print these instructions. (If you are reading these instruction in Windows Help and Support, click the print icon.) They will not be available after you shut down your computer in step 3.

  2. Open Registry Editor.

  3. Click Start, point to the right-pointing arrow icon, and then click Shut Down.

  4. Start the computer. When you see the message Please select the operating system to start, press F8.

  5. Use the arrow keys to highlight Last Known Good Configuration and then press ENTER. NUM LOCK must be off before the arrow keys on the numeric keypad will function.

  6. Use the arrow keys to highlight an operating system, and then press ENTER.


Import or Export Keys

Caution

Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.

Note

If you make a mistake that results in your computer not starting properly, you can restore the registry. For instructions, see Restore the Registry.

Exporting registry files

To export all or part of the registry remotely, use Registry Editor. Once you have opened Registry Editor, you can export the registry to a text file or to a hive file.

You can use a text editor like Notepad to work with registry files you create by exporting.

You can save registry files in the Windows format, as registration files, as binary hive files, or as text files. Registry files are saved with .reg extensions, and text files are saved with .txt extensions.

Export all or part of the registry

  1. Open Registry Editor. If you want to save only a particular branch, select it.

  2. On the File menu, click Export….

  3. In File name, enter a name for the registry file.

  4. In Save as type, select the file type you wish to use for the saved file (registration file, registry hive file, text file, Windows 98/NT4.0 registration file).

  5. In Export Range, use the radio buttons to select whether you want to export the entire registry or only the selected branch.

  6. Click Save.

Registry Editor provides a number of commands that are designed primarily for maintaining your system. For example, Load Hive and Unload Hive allow a part of your system to be temporarily downloaded onto another computer for maintenance. Before a hive can be loaded or restored, it must be saved as a key, either to a floppy disk or to your hard disk.

Importing registry files

The Import… command in Registry Editor can import registry files of all types, including text files and hive files.

Import some or all of the registry

  1. Open Registry Editor.

  2. On the File menu, click Import….

  3. Find the file you want to import, click the file to select it, and then click Open.
Note

In Windows Explorer, double-clicking a file with the .reg extension imports the file into the computer's registry.

Caution

A restored hive overwrites an existing registry key and becomes a permanent part of your configuration. For example, to perform maintenance on part of your system, you can use Export… to save a hive to a disk. When you are ready, you can then use Import… on the File menu to restore the saved key to your system


Load or Unload Registry Hives

Caution

Note

If you make a mistake that results in your computer not starting properly, you can restore the registry. For instructions, see Restore the Registry.

Loading a registry hive

To load or unload registry hives, use Registry Editor. The Load Hive… and Unload Hive… commands affect only the HKEY_USERS and HKEY_LOCAL_MACHINE keys and are active only when these predefined keys are selected.

When you load a hive into the registry, the hive becomes a subkey of one of these keys.

To load a hive into the registry

  1. Open Registry Editor.

  2. Click either the HKEY_USERS key or HKEY_LOCAL_MACHINE key.

  3. On the File menu, click Load Hive….

  4. Find the hive you want to load and click it.

  5. Click Open.

  6. In Key Name, type the name that you want to assign to the hive and then click OK.

Unloading a registry hive

To unload a registry hive

  1. Open Registry Editor

  2. Select a hive that you have previously loaded onto your system

  3. On the File menu, click Unload Hive….


Maintain Registry Security

For information about ways of maintaining registry security, such as assigning permissions to registry keys and auditing activity on registry keys, go to the Windows Server TechCenter (http://go.microsoft.com/fwlink/?LinkId=64071).


Print All or Part of the Registry

Caution

To print all or part of the registry

  1. Open Registry Editor.

  2. Click the computer or top-level key of the registry area you want to print.

  3. On the File menu, click Print….

  4. Do one of the following:

    • Click All to print the entire registry.

    • Click Selected Branch and type a particular branch in the text box to print only part of the registry.

  5. Click OK.
Note

The average registry can take hundreds of pages to print. Consider printing only those branches you need.


Registry Resources

For more information about the registry, including registry concepts and securing the registry, go to the Windows Server TechCenter (http://go.microsoft.com/fwlink/?LinkID=53495).